StoreConfigLifecycleListener (Apache Tomcat 8.5.87 API Documentation)

Package org.apache.catalina.storeconfig

## Class StoreConfigLifecycleListener

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreConfigLifecycleListener

- All Implemented Interfaces:
    `LifecycleListener`

      public class StoreConfigLifecycleListener
      extends java.lang.Object
      implements LifecycleListener

  Loads and registers a StoreConfig MBean with the name Catalina:type=StoreConfig.

  This listener must only be nested within `Server` elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Registry` | `registry` | The configuration information registry for our managed beans.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StoreConfigLifecycleListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createMBean​(Server server)` | Create StoreConfig MBean and load StoreRegistry MBeans name is `Catalina:type=StoreConfig`.
    `protected javax.management.DynamicMBean` | `getManagedBean​(java.lang.Object object)` | Create a ManagedBean (StoreConfig).
    `IStoreConfig` | `getStoreConfig()` |
    `java.lang.String` | `getStoreConfigClass()` |
    `java.lang.String` | `getStoreRegistry()` |
    `void` | `lifecycleEvent​(LifecycleEvent event)` | Register StoreRegistry after Start the complete Server.
    `void` | `setStoreConfig​(IStoreConfig storeConfig)` |
    `void` | `setStoreConfigClass​(java.lang.String storeConfigClass)` |
    `void` | `setStoreRegistry​(java.lang.String storeRegistry)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### registry

          protected final Registry registry

      The configuration information registry for our managed beans.

  - ### Constructor Detail

    - #### StoreConfigLifecycleListener

          public StoreConfigLifecycleListener()

  - ### Method Detail

    - #### lifecycleEvent

          public void lifecycleEvent​(LifecycleEvent event)

      Register StoreRegistry after Start the complete Server.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred
      See Also:
        `LifecycleListener.lifecycleEvent(org.apache.catalina.LifecycleEvent)`

    - #### createMBean

          protected void createMBean​(Server server)

      Create StoreConfig MBean and load StoreRegistry MBeans name is `Catalina:type=StoreConfig`.
      Parameters:
        `server` - The Server instance

    - #### getManagedBean

          protected javax.management.DynamicMBean getManagedBean​(java.lang.Object object)
                                                          throws java.lang.Exception

      Create a ManagedBean (StoreConfig).
      Parameters:
        `object` - The object to manage
      Returns:
        an MBean wrapping the object
      Throws:
        `java.lang.Exception` - if an error occurred

    - #### getStoreConfig

          public IStoreConfig getStoreConfig()

      Returns:
        the store config instance

    - #### setStoreConfig

          public void setStoreConfig​(IStoreConfig storeConfig)

      Parameters:
        `storeConfig` - The storeConfig to set.

    - #### getStoreConfigClass

          public java.lang.String getStoreConfigClass()

      Returns:
        the main store config class name

    - #### setStoreConfigClass

          public void setStoreConfigClass​(java.lang.String storeConfigClass)

      Parameters:
        `storeConfigClass` - The storeConfigClass to set.

    - #### getStoreRegistry

          public java.lang.String getStoreRegistry()

      Returns:
        the store registry

    - #### setStoreRegistry

          public void setStoreRegistry​(java.lang.String storeRegistry)

      Parameters:
        `storeRegistry` - The storeRegistry to set.